Package com.germinus.easyconf

# Class ConfigurationSerializer

java.lang.Object
com.germinus.easyconf.ConfigurationSerializer

Direct Known Subclasses:
  `XstreamSerializer`

public abstract class ConfigurationSerializer extends Object
Factory class which creates serializer subclasses based on availability of external classes in the classpath

Author:
  Jorge Ferrer

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationSerializer()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`deserialize(String serializedConf)`
Deserialize the configuration object from a String
`static ConfigurationSerializer`
`getSerializer()`
`abstract String`
`serialize(Object configurationObject)`
Serialize a configuration object to a String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationSerializer

public ConfigurationSerializer()

## Method Details

### getSerializer

public static ConfigurationSerializer getSerializer()

### deserialize

public abstract Object deserialize(String serializedConf)
Deserialize the configuration object from a String

Parameters:
  `serializedConf` -
Returns:
  A configuration object

### serialize

public abstract String serialize(Object configurationObject)
Serialize a configuration object to a String

Parameters:
  `configurationObject` -
Returns:
  An string representing the configuration object